wnpa-sec-2013-61 · IEEE 802.15.4 dissector crash

Summary

Name: IEEE 802.15.4 dissector crash

Docid: wnpa-sec-2013-61

Date: November 1, 2013

Affected versions: 1.10.0 to 1.10.2, 1.8.0 to 1.8.10

Fixed versions: 1.10.3, 1.8.11

References:
Wireshark issue 9139
CVE-2013-6336

Details

Description

The IEEE 802.15.4 dissector could crash.

Impact

It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

Resolution

Upgrade to Wireshark 1.10.3, 1.8.11 or later.